﻿using Blazored.LocalStorage;
using Microsoft.AspNetCore.Components.Forms;
using Microsoft.AspNetCore.Components;
using adminBlazor.Models;
using Microsoft.AspNetCore.Mvc.RazorPages;
using adminBlazor.Services;

namespace adminBlazor.Pages
{
    public partial class AddVoc
    {
        [Inject] public NavigationManager NavigationManager { get; set; }

        [Inject] public IVocListService VocService { get; set; }

        private VocabularyListModel voc = new VocabularyListModel();

        private async void HandleValidSubmit()
        {
            voc.Translations ??= new List<TranslationModel>();
            await VocService.Add(voc);

            NavigationManager.NavigateTo("voc");
        }
        
        private void AddWord()
        {
            if (voc.Translations == null)
            {
                voc.Translations = new List<TranslationModel>();
            }
            voc.Translations.Add(new TranslationModel());
        }
        
        private void RemoveWord(TranslationModel word)
        {
            voc.Translations.Remove(word);
        }
    }
}